/*  GTKtalog.
 *  Copyright (C) 1999  Mathieu VILLEGAS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __INTERFACE_H__
#define __INTERFACE_H__

#include <config.h>
#include <gnome.h>
#include "config_common.h"

void ctree_window_add (GtkWidget * ctree);
void traverse_add_dir_to_clist (GNode * gn, gpointer data);
void catalog_set_selected_folder (GNode * gn);
void traverse_add_file_to_clist (GNode * gn, gpointer data);
gint clist_cmp_2gint (GtkCList * clist, gconstpointer ptr1, gconstpointer ptr2);
gint clist_cmp_2dates (GtkCList * clist, gconstpointer ptr1, gconstpointer ptr2);
void list_folder (GNode * parent);
EXTENSIONS *find_extension (gchar * file);
void fin_fils (int sig);
void clist_pressed (GtkWidget * wid, GdkEventButton * event, gpointer data);
GtkWidget *create_list ();
void tree_pressed (GtkWidget * wid, GdkEventButton * event, gpointer data);
void update_tree (FOLDER * racine);
void clean_description (FOLDER * racine);
GList *add_file_to_recent_files (GList * recent_files, gint nb_max_recent_files, gchar * fullname);
void add_file_menu (gchar * fullname);
void build_gui ();
void stats_folder (GtkWidget * w, FOLDER * racine);
void show_statistics (FOLDER * racine, GNode *gn);

#endif
